Bug 217824 - devel/fuel: Update to 1.0.1, fix fetch, add QT5 support
Summary: devel/fuel: Update to 1.0.1, fix fetch, add QT5 support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthew Rezny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-16 04:51 UTC by Matthew Rezny
Modified: 2017-03-31 01:51 UTC (History)
1 user (show)

See Also:
rezny: maintainer-feedback-


Attachments
fix fetch and update to 1.0.1 (2.46 KB, patch)
2017-03-16 04:51 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2017-03-16 04:51:16 UTC
Created attachment 180861 [details]
fix fetch and update to 1.0.1

devel/fuel appears to have been abandoned. Fuel has its own website from which current versions as well as the old 0.9.6 version are available, so the Google Code BROKENess is easily remedied.

The current version supports QT5, so an option has been added to choose QT4 or QT5, with the latter as the default.

Also, install an icon and working .desktop file, update WWW, and sync COMMENT in Makefile with Comment in .desktop file.

QA: Poudriere 10.3/11.0 amd64/i386 QT4/QT5 OK
Comment 1 Matthew Rezny freebsd_committer 2017-03-30 12:43:47 UTC
maintainer timeout, 2 weeks
Comment 2 commit-hook freebsd_committer 2017-03-31 01:50:47 UTC
A commit references this bug:

Author: rezny
Date: Fri Mar 31 01:48:56 UTC 2017
New revision: 437338
URL: https://svnweb.freebsd.org/changeset/ports/437338

Log:
  Fix fetch, update to 1.0.1, and add option for Qt 4 or 5 (default).

  PR:		217824
  Reviewed by:	mat
  Approved by:	swills (mentor), maintainer (timeout)
  Differential Revision:	https://reviews.freebsd.org/D10199

Changes:
  head/devel/fuel/Makefile
  head/devel/fuel/distinfo
  head/devel/fuel/pkg-descr